Bug 115474 - [MAINTAINER] security/shibboleth-sp: mark as only for i386
Summary: [MAINTAINER] security/shibboleth-sp: mark as only for i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-13 18:10 UTC by Janos Mohacsi
Modified: 2007-09-30 11:40 UTC (History)
0 users

See Also:


Attachments
shibboleth-sp-1.3f_1.patch (698 bytes, patch)
2007-08-13 18:10 UTC, Janos Mohacsi
no flags Details | Diff
shib.log (115.87 KB, text/plain)
2007-08-22 17:27 UTC, Mohacsi Janos
no flags Details
patch-configure (398 bytes, text/plain)
2007-08-22 17:27 UTC, Mohacsi Janos
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janos Mohacsi 2007-08-13 18:10:01 UTC
[DESCRIBE CHANGES]

Generated with FreeBSD Port Tools 0.77
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-08-14 13:43:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-08-15 06:28:08 UTC
State Changed
From-To: open->feedback

This port fails for me on i386 also: 
http://sce-tindy.tecnik93.com/tb/index.php?action=describe_port&id=1743
Comment 3 Mohacsi Janos 2007-08-22 17:27:05 UTC
In case of FreeBSD 7.x:
It seems that there is some linking incompatibility in the tinderbox, 
where shibboleth-sp was compiled. I tried in a FreeBSD 7.x environment. 
See attached shib.log

In case FreeBSD 6.x and 5.x:
It seems that packaging fails due to local changes:
"
===> Building package for shibboleth-sp-1.3f_1

tar: share/doc/shibboleth-sp/CREDITS.txt: Cannot stat: No such file or directory
tar: share/doc/shibboleth-sp/INSTALL.txt: Cannot stat: No such file or directory

...
"

As you can see in the pkg-plist. The shibboleth-sp port does not 
installs under "share/doc/shibboleth-sp" but under "share/doc/shibboleth"

Meanwhile I found a bug in the configure script. It tries to find out 
location of openssl via pkg-config if pkg-config installed. Since  
openssl is part of the base system pkg-config fails to find openssl. To 
resolve this problem I attach a small patch against configure scripts 
that should be put in PATCHDIR.
This bug will be reported to shibboleth developers.
Comment 4 Pav Lucistnik freebsd_committer 2007-09-04 09:26:06 UTC
This port does compile on amd64/5 and amd64/6. Marking it only for i386
would be incorrect. What this port needs is a fix for bugs uncovered by
gcc42's more strict changes.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Sun couldn't care less about Linux other than it now being necessary
in order to be buzzword compliant.
  -- Al Dente
Comment 5 Mohacsi Janos 2007-09-06 23:26:18 UTC
Hi Pav,
 	I cannot do much myself except testing and fixing in the 
environment I have. I am just a user of shibboleth. When I reported the 
problem I got back the following: 
https://bugs.internet2.edu/jira/browse/SSPCPP-31

 	Unfortunately I don't have amd64 machine to test and resolve the 
problem.
 	Best Regards, 
Janos Mohacsi
Network Engineer, Research Associate, Head of Network Planning and Projects
NIIF/HUNGARNET, HUNGARY
Key 70EF9882: DEC2 C685 1ED4 C95A 145F  4300 6F64 7B00 70EF 9882
Comment 6 Pav Lucistnik freebsd_committer 2007-09-06 23:33:17 UTC
>  	I cannot do much myself except testing and fixing in the 
> environment I have. I am just a user of shibboleth. When I reported the 
> problem I got back the following: 
> https://bugs.internet2.edu/jira/browse/SSPCPP-31
> 
>  	Unfortunately I don't have amd64 machine to test and resolve the 
> problem.
> 

Hey Jason,

if you're unable to fix the problem, it's okay to mark the port BROKEN.
In this case, it would be amd64 7.X

On i386 7.X there seems to be a different failure:
http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.7.2007081812/shibboleth-sp-1.3f.log

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

The answer to the all-encompassing question on life, the universe
and everything: close windows and reboot.
Comment 7 Mohacsi Janos 2007-09-12 12:23:28 UTC
Hi Pav,
 	It seems for me that their is some special usage of 
installation prefix (i.e /usr/local) in shibboleth-sp somewhere which is 
incompatible with the port testing environment. I have working installed 
version of shibboleth-sp on FreeBSD 6.2 and 7.x current,


According to the errorlog from (tinderbox?)

"
  /bin/sh ../libtool --silent --mode=install /usr/bin/install -c -o root -g 
wheel  'libshib-target.la' '/usr/local/lib/libshib-target.la'
libtool: install: warning: relinking `libshib-target.la'
/usr/bin/ld: cannot find -loncrpc
libtool: install: error: relink `libshib-target.la' with the above command 
before installing it
"

It seems, that it does not find the liboncrpc library, which is installed 
by itself (i.e shibboleth-sp). Probably some hardcoded path somewhere....

Can you tell what environment is used for port compilation testing? I 
would like to install it to reproduce the problem and correct it in my 
environment.

Best Regards,

Janos Mohacsi
Network Engineer, Research Associate, Head of Network Planning and Projects
NIIF/HUNGARNET, HUNGARY
Key 70EF9882: DEC2 C685 1ED4 C95A 145F  4300 6F64 7B00 70EF 9882

On Fri, 7 Sep 2007, Pav Lucistnik wrote:

>>  	I cannot do much myself except testing and fixing in the
>> environment I have. I am just a user of shibboleth. When I reported the
>> problem I got back the following:
>> https://bugs.internet2.edu/jira/browse/SSPCPP-31
>>
>>  	Unfortunately I don't have amd64 machine to test and resolve the
>> problem.
>>
>
> Hey Jason,
>
> if you're unable to fix the problem, it's okay to mark the port BROKEN.
> In this case, it would be amd64 7.X
>
> On i386 7.X there seems to be a different failure:
> http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.7.2007081812/shibboleth-sp-1.3f.log
>
> -- 
> Pav Lucistnik <pav@oook.cz>
>              <pav@FreeBSD.org>
>
> The answer to the all-encompassing question on life, the universe
> and everything: close windows and reboot.
>
>
Comment 8 Pav Lucistnik freebsd_committer 2007-09-12 12:31:16 UTC
Mohacsi Janos pí¹e v st 12. 09. 2007 v 13:23 +0200:

> Can you tell what environment is used for port compilation testing? I 
> would like to install it to reproduce the problem and correct it in my 
> environment.


Tried http://tinderbox.marcuscom.com/ yet?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

But soft, what light through yonder window breaks? It is the East,
and Juliet is the sun! Arise, fair sun, and kill the envious moon,
who is already sick and pale with grief that thou her maid art far
more fair than she.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2007-09-30 11:27:09 UTC
State Changed
From-To: feedback->closed

For now, I'm going to mark this as broken on !386 or -current.  itetcu is 
away from FreeBSD for right now. 

Maintainer can contact me directly to work on the -current problems. 


Comment 10 Mark Linimon freebsd_committer freebsd_triage 2007-09-30 11:27:09 UTC
Responsible Changed
From-To: itetcu->linimon
Comment 11 dfilter service freebsd_committer 2007-09-30 11:33:09 UTC
linimon     2007-09-30 10:33:03 UTC

  FreeBSD ports repository

  Modified files:
    security/shibboleth-sp Makefile 
  Log:
  Mark as only for i386-6.
  
  Based on:
  
  PR:             ports/115474
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.2       +7 -0      ports/security/shibboleth-sp/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"